Google+

The E-Sticker is a plug-in that works within Adobe Acrobat. System requirements are as follows:

  • PC Users: E-Stickers can be used with Adobe Acrobat Standard or Pro (versions X or XI) and Adobe Reader XI

 

  • Mac Users: E-Stickers can be used with Adobe Pro (versions X or XI) and Adobe Reader XI. Also need Mac OS 10.5 or later.

How To Tell Which Version of Acrobat You Have